//+------------------------------------------------------------------+
//|                                        xSuperTrend volty MTF.mq4 |
//|                                                        Thefxpros |
//| initial idea by jntrader                                         |
//+------------------------------------------------------------------+

#property copyright "thefxpros"
#property link      "thefxpros@katamail.com"

#property indicator_chart_window
#property indicator_buffers 4
#property indicator_color1 Lime
#property indicator_color2 Lime
#property indicator_color3 Red
#property indicator_color4 Red
#property indicator_width2 2
#property indicator_width4 2

 
extern int    TimeFrame    = 0;
extern int    period       = 10;
extern double multiplier   = 1.6;
extern int    appliedPrice = PRICE_CLOSE;
//
//
//
//
//
double TrendU[];
double TrendUA[];
double TrendD[];
double TrendDA[];
double Direction[];
double Up[];
double Dn[];



int init()
{
   IndicatorBuffers(7);
      SetIndexBuffer(0, TrendU);
      SetIndexBuffer(1, TrendUA); SetIndexStyle(1,DRAW_ARROW); SetIndexArrow(1,159);
      SetIndexBuffer(2, TrendD);
      SetIndexBuffer(3, TrendDA); SetIndexStyle(3,DRAW_ARROW); SetIndexArrow(3,159);
      SetIndexBuffer(4, Direction);
      SetIndexBuffer(5, Up);
      SetIndexBuffer(6, Dn);
      
      SetIndexLabel(0,"xSuperTrend volty up");
      SetIndexLabel(1,"xSuperTrend volty start up");
      SetIndexLabel(2,"xSuperTrend volty down");
      SetIndexLabel(3,"xSuperTrend volty start down");
   
   IndicatorShortName("xSuperTrend volty volty");
   period = MathMax(1,period);
   
   
    switch(TimeFrame)
   {
      case 1 : string TimeFrameStr="Period_M1"; break;
      case 5 : TimeFrameStr="Period_M5"; break;
      case 15 : TimeFrameStr="Period_M15"; break;
      case 30 : TimeFrameStr="Period_M30"; break;
      case 60 : TimeFrameStr="Period_H1"; break;
      case 240 : TimeFrameStr="Period_H4"; break;
      case 1440 : TimeFrameStr="Period_D1"; break;
      case 10080 : TimeFrameStr="Period_W1"; break;
      case 43200 : TimeFrameStr="Period_MN1"; break;
      default : TimeFrameStr="Current Timeframe";
   }
   IndicatorShortName("xSuperTrend volty MTF ("+TimeFrameStr+")");
   return(0);

  }

//----

   
 
//+------------------------------------------------------------------+
//| MTF function                                                     |
//+------------------------------------------------------------------+


int start()
{
   int counted_bars=IndicatorCounted();
      if(counted_bars<0) return(-1);
      if(counted_bars>0) counted_bars--;
         int limit  = MathMin(MathMax(Bars-counted_bars,3*TimeFrame/Period()),Bars-1);
         

   for(int i=limit; i>=0; i--) 
	{
      int y = iBarShift(NULL,TimeFrame,Time[i]);
         TrendU[i]   =iCustom(Symbol(),TimeFrame,"xSuperTrend volty",period,multiplier,appliedPrice,0,y);
         TrendUA[i]  =iCustom(Symbol(),TimeFrame,"xSuperTrend volty",period,multiplier,appliedPrice,1,y); 
         TrendD[i]   =iCustom(Symbol(),TimeFrame,"xSuperTrend volty",period,multiplier,appliedPrice,2,y);
         TrendDA[i]  =iCustom(Symbol(),TimeFrame,"xSuperTrend volty",period,multiplier,appliedPrice,3,y);
         Direction[i]=iCustom(Symbol(),TimeFrame,"xSuperTrend volty",period,multiplier,appliedPrice,4,y);
         Up[i]       =iCustom(Symbol(),TimeFrame,"xSuperTrend volty",period,multiplier,appliedPrice,5,y);
         Dn[i]       =iCustom(Symbol(),TimeFrame,"xSuperTrend volty",period,multiplier,appliedPrice,6,y);
   }   
   return(0);
}